%define anolis_release 2

Name:           libsmi
Version:        0.4.8
Release:        %{anolis_release}%{?dist}
Summary:        A library to access SMI MIB information

License:        GPLv2+ and BSD
URL:            http://www.ibr.cs.tu-bs.de/projects/libsmi/index.html
Source0:        https://www.ibr.cs.tu-bs.de/projects/libsmi/download/%{name}-%{version}.tar.gz
Source1:        smi.conf
Source2:	IETF-MIB-LICENSE.txt
Patch0:		libsmi-0.4.8-wget111.patch
Patch1:		libsmi-0.4.8-CVE-2010-2891.patch
Patch2:		libsmi-0.4.8-symbols-clash.patch
Patch3:		libsmi-0.4.8-format-security-fix.patch

BuildRequires:  libtool
BuildRequires:  flex, bison
BuildRequires:   make
Requires:       gawk, wget

%description
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules.

This package contains tools to check, dump, and convert MIB
definitions and a steadily maintained and revised archive
of all IETF and IANA maintained standard MIB modules.


%package devel
Summary:        Development environment for libsmi library
Requires:       %{name} = %{version}-%{release}

%description devel
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules.

This package contains development files needed to develop
libsmi-based applications.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1
cp %{SOURCE2} .

%build
%configure \
    --enable-smi \
    --enable-sming \
    --enable-shared \
    --disable-static
%make_build

iconv -f latin1 -t utf-8 <COPYING >COPYING.utf8
mv COPYING.utf8 COPYING

%install
%make_install DESTDIR=$RPM_BUILD_ROOT

install -d -m 755 %{buildroot}%{_sysconfdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/smi.conf

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%check
# fails a couple of tests (2 in {0.4.4, 0.4.5})
make check ||:


%files
%license COPYING IETF-MIB-LICENSE.txt
%doc doc/draft-irtf-nmrg-sming-02.txt smi.conf-example
%config(noreplace) %{_sysconfdir}/smi.conf
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/mibs/
%{_datadir}/pibs/
%{_mandir}/man1/*.1*
%dir %{abidir}
%{abidir}/*.dump
%{abidir}/*-option.list

%files devel
%{_datadir}/aclocal/libsmi.m4
%{_libdir}/pkgconfig/libsmi.pc
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*.3*

%files doc
%doc ANNOUNCE ChangeLog README THANKS TODO


%changelog
* Tue Dec 26 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.4.8-2
- rebuild

* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.8-1
- init from upstream
